#include <allegro.h>

//volatile int frame_counter=0; //the number of frames in this second
//volatile int prev_frame_counter=0; //the number of frames in the last second

volatile int stretchblit_counter = 0;
volatile int iteration_counter = 0;
volatile int credits_counter = 0;

void record_fps()
{
	prev_frame_counter = frame_counter;
	frame_counter = 0;
	if (game_cycle >= prev_frame_counter)
		is_up_to_date = 1;
	else
		is_up_to_date = 0;
	game_cycle = 0;
}
END_OF_FUNCTION(record_fps);

void time_menuopen()
{
	stretchblit_counter++;
}

void time_explosion()
{
	iteration_counter++;
}

void time_credits()
{
	credits_counter += 15;
}